#pragma once

#include "GuiWidget.h"

namespace blitz {

class Client;

namespace gui {

class MainMenu : public GuiWidget {
  private:
	enum SubMenu { CREATE_MENU = 0, JOIN_MENU, OPTION_MENU };

  public:
	MainMenu(Client* client);

	virtual void Render() override;
};


}  // namespace gui
}  // namespace blitz
